Replace all tenant configuration for tenant - Fabric

Replace all tenant configuration for tenant

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
[\
  {\
    "configName": "ENUM",\
    "objectValue": "SYSTEM",\
    "objectType": "SYSTEM",\
    "configType": "HOLD"\
  }\
]
'```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"

payload = [\
    {\
        "configName": "ENUM",\
        "objectValue": "SYSTEM",\
        "objectType": "SYSTEM",\
        "configType": "HOLD"\
    }\
]
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify([\
    {\
      configName: 'ENUM',\
      objectValue: 'SYSTEM',\
      objectType: 'SYSTEM',\
      configType: 'HOLD'\
    }\
  ])
};

fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PUT",\
  CURLOPT_POSTFIELDS => json_encode([\
    [\
        'configName' => 'ENUM',\
        'objectValue' => 'SYSTEM',\
        'objectType' => 'SYSTEM',\
        'configType' => 'HOLD'\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config"

payload := strings.NewReader("[\n  {\n    \"configName\": \"ENUM\",\n    \"objectValue\": \"SYSTEM\",\n    \"objectType\": \"SYSTEM\",\n    \"configType\": \"HOLD\"\n  }\n]")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}

Response

Successful Response

200 - Configuration updated.

{
  "configName": "ENUM",
  "objectValue": "SYSTEM",
  "objectType": "SYSTEM",
  "configType": "HOLD",
  "tenantId": "erfvda5435234tgfdvsf"
}

Error Responses

{
  "message": "Bad Request"
}
{
  "message": "Configuration Not Found"
}
{
  "message": "Internal Server Error"
}

Headers

Body

Example Body

[
  {
    "configName": "ENUM",
    "objectValue": "SYSTEM",
    "objectType": "SYSTEM",
    "configType": "HOLD"
  }
]